(function($) {

	//Lang of the page
	var pageLang = "en";
	if ($("html:lang(fr-FR)").length || $("html:lang(fr-CA)").length){
		pageLang = "fr"
	}
	
		//Selection of the cities
	var citySelected = "";
	var citiesList = ["montreal","quebec","gatineau","sherbrooke"];
	
	$.each( citiesList, function( key, value ) {
		if (window.location.href.indexOf(value) > -1) {
			citySelected = value;
		}
	});

	if (citySelected.length) {
		$("#btnCityChoice").html(citySelected);
	}
	

	
	// Anchor menu
	var element = document.getElementById('site-header');
	var $list   = $("#submenu-page-container ul.anchor-menu");
	var topSpacingStick = 126;
	
	$select = $('<select id="submenu-page-list-mobile" onchange="location = this.value;"></select>');
	
	if (pageLang == "fr"){
		$select.append($('<option />').attr('value', 0).html("Aller à la section"));
	}else {
		$select.append($('<option />').attr('value', 0).html("Jump to"));
	}
	
	$list.children('li').each(function(index) {
		$select.append($('<option />').attr('value', $(this).children('a').attr("href")).html($(this).html()));
	});

	$list.after($select);
	
	
	if ($('#submenu-page-container').length) { 
		$('#submenu-page-container').stickySidebar({
			topSpacing: topSpacingStick,
			bottomSpacing: 60,
			resizeSensor: true,
			innerWrapperSelector: '.wp-block-group__inner-container',
			stickyClass: 'is-affixed'
		})
	}

	new ResizeSensor(element, function() {
		var actualSize = element.clientWidth
		
		if (actualSize > 782){
			$select.addClass("hidden");
			$list.removeClass("hidden");
		} else if (actualSize < 782){
			$select.removeClass("hidden");
			$list.addClass("hidden");
		}
	});
	
	var hash = window.location.hash;
	var extraHeight = ($("#submenu-page-container").height()+25);
	
	//link in content with anchor
	$(".entry-content a[href^='#']").not(".entry-content #submenu-page-container a").click(function() {
        if (!$(this).hasClass ("linkFaq") ){ 		
            var hashurl = $($(this).attr('href'));
			if (hashurl.length) {
				$('.accordion-container .accordion-item .accordion-item-content').hide();
				var targetHash = hashurl.children(".accordion-item-toggler");
				targetHash.addClass("active");
				targetHash.next(".accordion-item-content").show( "slow", function() {
					$(this).find("iframe").css("width", "100%");
					$(this).find("iframe").css("height", 450 +"px");
				});
				/*setTimeout(function(){
					$('html, body').animate({ 'scrollTop':   hashurl.offset().top - extraHeight },500);
                     console.log("5");
				}, 500);*/
			}
            }
	});
	
	//Accordion
	if ($('.accordion-container').length){
		var allPanels = $('.accordion-container .accordion-item .accordion-item-content').hide();
		var allToogles = $('.accordion-container .accordion-item .accordion-item-toggler');
		$('.accordion-container .accordion-item .accordion-item-toggler').click(function() {
			if ($(this).hasClass("active")){
				allToogles.removeClass("active");
				$(this).next().slideUp();
			}else {
				allPanels.slideUp();
				allToogles.removeClass("active");
				$(this).addClass("active");
				$(this).next().slideDown( "fast", function() {
					$(this).find("iframe").css("width", "100%");
					$(this).find("iframe").css("height", 450 +"px");
				});
				return false;
			}
		});
	}
	
	if (hash) {
		var hashurl = $(hash);
		var accordionUrl = false;
		if ($('.accordion-container').length){
			$('.accordion-item').each(function() {
				if($( this ).attr("id") == hash.replace("#","")) {
					accordionUrl = true;
				}
			});
		}
		if(accordionUrl){
			allPanels.hide();
			if (hashurl.length) {
				var targetHash = hashurl.children(".accordion-item-toggler");
				targetHash.addClass("active");
				targetHash.next(".accordion-item-content").show( "slow", function() {
					$(this).find("iframe").css("width", "100%");
					$(this).find("iframe").css("height", 450 +"px");
				});
				setTimeout(function(){
					$('html, body').animate({ 'scrollTop':   hashurl.offset().top - extraHeight },500);
				}, 500);
			}
		}else {
			setTimeout(function(){
				$('html, body').animate({ 'scrollTop':   hashurl.offset().top },500);
			}, 500);
		}
	}
	

	//Tabs
	if ($('.tabs').length) { 
		var previousActiveTabIndex = 0;
		$(".tabs .allTabsContainer .tab-container").hide();
		$(".tabs .allTabsContainer .tab-container").first().show();
		$(".tabs ul li.tab-switcher").first().addClass("active");

		$(".tab-switcher").on('click keypress', function (event) {
			// event.which === 13 means the "Enter" key is pressed
			$(".tab-switcher").removeClass("active")
			if ((event.type === "keypress" && event.which === 13) || event.type === "click") {

				var tabClicked = $(this).data("tab-index");
				$(this).addClass("active");
				

				if(tabClicked != previousActiveTabIndex) {
					$(".allTabsContainer .tab-container").each(function () {
						if($(this).data("tab-index") == tabClicked) {
							$(".tab-container").hide();
							$(this).show();
							previousActiveTabIndex = $(this).data("tab-index");
							return;
						}
					});
				}
			}
		});
	}
	
	
	//button for the choice of the cities
	$('#btnCityChoice').click(function() {
		$(".overlay-menu").fadeIn();
		$("body").addClass("modal-open");

	});

	//button close of the modal of the cities
	$('#btnClose').click(function() {
		$(".overlay-menu").fadeOut();
		$("body").removeClass("modal-open");
	});

	//Cities menu put in two column if more than 4
	$('.cities-menu').children().children('ul').hide();
	$('.cities-menu').children().children('ul').filter(function(){
		return this.childNodes.length > 3
	}).addClass('twoColumns');

	//Accordeon for the cities modal
	$('.cities-menu').children().children('a').click(function(event) {
		event.stopPropagation();
		event.preventDefault()
		if (!$(this).hasClass("active")) {
			$('.cities-menu').children().children('a').removeClass("active");
			$(this).addClass("active");
			$('.cities-menu').children().children('ul').slideUp();
			$(this).next().slideDown();
		}
	});
	
	//Page template landing
	if ($("body").hasClass("page-template-template-landing")){
		var $nav = $("#site-header");
		$nav.toggleClass('reversed', $(this).scrollTop() < $nav.height());

		$(document).scroll(function () {
			$nav.toggleClass('reversed', $(this).scrollTop() < $nav.height());
		});
	}
	
	
	//Function to escape the modal cities with esc
	$(document).keyup(function(e) {
		if (e.keyCode == 27) {
			$(".overlay-menu").toggle();
			$("body").toggleClass("modal-open");
		}
	});
	
	//Resize submenu 
	$(window).on('resize', function(){
		$('#submenu-page-container').width($(window).width());
		$('#submenu-page-container .wp-block-group__inner-container').width($(window).width());
	});


})(jQuery);